From b4848f9dd8f00b8559521dcf013577c6b4c69afc Mon Sep 17 00:00:00 2001
From: Michael Brand <michael.ch.brand@gmail.com>
Date: Fri, 3 Jan 2025 13:22:01 +0100
Subject: [PATCH 2/2] Fix test example in testing/README

* testing/README (Interactive testing from within Emacs): Fix test
example not adapted in 2b00d62816.
---
 testing/README | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

diff --git a/testing/README b/testing/README
index 99cb488ba..1c4dd9e76 100644
--- a/testing/README
+++ b/testing/README
@@ -120,19 +120,16 @@ load and run the test suite with the following commands.
 
    To run one test: Use this as a demo example of a failing test
    #+begin_src emacs-lisp
-   (ert-deftest test-org/org-link-encode-ascii-character-demo-of-fail ()
-     (should (string= "%5B"  ; Expecting %5B is correct.
-                      (org-link-encode "[")))
-     (should (string= "%5C"  ; Expecting %5C is wrong, %5D correct.
-                      (org-link-encode "]"))))
+   (ert-deftest test-demo/example-of-a-failing-test ()
+     (should (string= "AB" (concat "A" "B")))
+     (should (string= "CD" (concat "C" "C" "D"))))
    #+end_src
-   or evaluate the ~ert-deftest form~ of the test you want to run.
-   Then ~M-x ert RET
-   test-org/org-link-encode-ascii-character-demo-of-fail RET~.  When
+   or evaluate the ~ert-deftest~ form of the test you want to run.
+   Then ~M-x ert RET test-demo/example-of-a-failing-test RET~.  When
    not visible yet switch to the ERT results buffer named ~*ert*~.
    When a test failed the ERT results buffer shows the details of the
-   first ~should~ that failed.  See ~(info "(ert)Running Tests
-   Interactively")~ on how to re-run, start the debugger etc.
+   first ~should~ that failed.  See [[info:ert::Running Tests
+   Interactively]] for how to re-run, start the debugger etc.
 
    To run several tests: ~M-x ert RET "<your regexp here>" RET~.
 
-- 
2.39.3 (Apple Git-145)

